Index: t3lib/class.t3lib_befunc.php
===================================================================
--- t3lib/class.t3lib_befunc.php	(revision 9522)
+++ t3lib/class.t3lib_befunc.php	(revision )
@@ -1940,13 +1926,13 @@
 	 * @return	string		Image tag
 	 */
 	public static function getThumbNail($thumbScript, $theFile, $tparams = '', $size = '') {
-		$check = basename($theFile).':'.filemtime($theFile).':'.$GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey'];
+		$check = basename($theFile) . ':' . filemtime($theFile) . ':' . $GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey'];
-		$params = '&file='.rawurlencode($theFile);
+		$params = '&file=' . rawurlencode($theFile);
-		$params.= trim($size)?'&size='.trim($size):'';
+		$params .= trim($size) ? '&size=' . trim($size) : '';
-		$params.= '&md5sum='.t3lib_div::shortMD5($check);
+		$params .= '&md5sum=' . t3lib_div::shortMD5($check);
 
-		$url = $thumbScript.'?&dummy='.$GLOBALS['EXEC_TIME'].$params;
+		$url = $thumbScript . '?&dummy=' . $GLOBALS['EXEC_TIME'] . $params;
-		$th = '<img src="'.htmlspecialchars($url).'" title="'.trim(basename($theFile)).'"'.($tparams?" ".$tparams:"").' alt="" />';
+		$th = '<img src="' . htmlspecialchars($url) . '" title="' . trim(basename($theFile)) . '"' . ($tparams ? " " . $tparams : "") . ' alt="" />';
 		return $th;
 	}
 
@@ -1962,30 +1948,34 @@
 	public static function titleAttribForPages($row, $perms_clause = '', $includeAttrib = 1) {
 		global $TCA, $LANG;
 		$parts = array();
-		$parts[] = 'id='.$row['uid'];
+		$parts[] = 'id=' . $row['uid'];
-		if ($row['alias'])	$parts[] = $LANG->sL($TCA['pages']['columns']['alias']['label']).' '.$row['alias'];
-		if ($row['pid']<0)	$parts[] = 'v#1.'.$row['t3ver_id'];
+		if ($row['alias']) {
+			$parts[] = $LANG->sL($TCA['pages']['columns']['alias']['label']) . ' ' . $row['alias'];
+		}
+		if ($row['pid'] < 0) {
+			$parts[] = 'v#1.' . $row['t3ver_id'];
+		}
 
-		switch($row['t3ver_state']) {
+		switch ($row['t3ver_state']) {
 			case 1:
-				$parts[] = 'PLH WSID#'.$row['t3ver_wsid'];
+				$parts[] = 'PLH WSID#' . $row['t3ver_wsid'];
-			break;
+				break;
 			case 2:
 				$parts[] = 'Deleted element!';
-			break;
+				break;
 			case 3:
-				$parts[] = 'NEW LOCATION (PLH) WSID#'.$row['t3ver_wsid'];
+				$parts[] = 'NEW LOCATION (PLH) WSID#' . $row['t3ver_wsid'];
-			break;
+				break;
 			case 4:
-				$parts[] = 'OLD LOCATION (PNT) WSID#'.$row['t3ver_wsid'];
+				$parts[] = 'OLD LOCATION (PNT) WSID#' . $row['t3ver_wsid'];
-			break;
+				break;
 			case -1:
 				$parts[] = 'New element!';
-			break;
+				break;
 		}
 
 		if ($row['doktype'] == t3lib_pageSelect::DOKTYPE_LINK) {
-			$parts[] = $LANG->sL($TCA['pages']['columns']['url']['label']).' '.$row['url'];
+			$parts[] = $LANG->sL($TCA['pages']['columns']['url']['label']) . ' ' . $row['url'];
 		} elseif ($row['doktype'] == t3lib_pageSelect::DOKTYPE_SHORTCUT) {
 			if ($perms_clause) {
 				$label = self::getRecordPath(intval($row['shortcut']), $perms_clause, 20);
@@ -1994,10 +1984,10 @@
 				$label = $lRec['title'];
 			}
 			if ($row['shortcut_mode'] != t3lib_pageSelect::SHORTCUT_MODE_NONE) {
-				$label.=', '.$LANG->sL($TCA['pages']['columns']['shortcut_mode']['label']).' '.
+				$label .= ', ' . $LANG->sL($TCA['pages']['columns']['shortcut_mode']['label']) . ' ' .
-							$LANG->sL(self::getLabelFromItemlist('pages', 'shortcut_mode', $row['shortcut_mode']));
+						$LANG->sL(self::getLabelFromItemlist('pages', 'shortcut_mode', $row['shortcut_mode']));
 			}
-			$parts[] = $LANG->sL($TCA['pages']['columns']['shortcut']['label']).' '.$label;
+			$parts[] = $LANG->sL($TCA['pages']['columns']['shortcut']['label']) . ' ' . $label;
 		} elseif ($row['doktype'] == t3lib_pageSelect::DOKTYPE_MOUNTPOINT) {
 			if ($perms_clause) {
 				$label = self::getRecordPath(intval($row['mount_pid']), $perms_clause, 20);
@@ -2005,19 +1995,27 @@
 				$lRec = self::getRecordWSOL('pages', intval($row['mount_pid']), 'title');
 				$label = $lRec['title'];
 			}
-			$parts[] = $LANG->sL($TCA['pages']['columns']['mount_pid']['label']).' '.$label;
+			$parts[] = $LANG->sL($TCA['pages']['columns']['mount_pid']['label']) . ' ' . $label;
 			if ($row['mount_pid_ol']) {
 				$parts[] = $LANG->sL($TCA['pages']['columns']['mount_pid_ol']['label']);
 			}
 		}
-		if ($row['nav_hide'])	$parts[] = rtrim($LANG->sL($TCA['pages']['columns']['nav_hide']['label']), ':');
-		if ($row['hidden'])	$parts[] = $LANG->sL('LLL:EXT:lang/locallang_core.php:labels.hidden');
-		if ($row['starttime'])	$parts[] = $LANG->sL($TCA['pages']['columns']['starttime']['label']) . ' ' . self::dateTimeAge($row['starttime'], -1, 'date');
-		if ($row['endtime'])	$parts[] = $LANG->sL($TCA['pages']['columns']['endtime']['label']) . ' ' . self::dateTimeAge($row['endtime'], -1, 'date');
+		if ($row['nav_hide']) {
+			$parts[] = rtrim($LANG->sL($TCA['pages']['columns']['nav_hide']['label']), ':');
+		}
+		if ($row['hidden']) {
+			$parts[] = $LANG->sL('LLL:EXT:lang/locallang_core.php:labels.hidden');
+		}
+		if ($row['starttime']) {
+			$parts[] = $LANG->sL($TCA['pages']['columns']['starttime']['label']) . ' ' . self::dateTimeAge($row['starttime'], -1, 'date');
+		}
+		if ($row['endtime']) {
+			$parts[] = $LANG->sL($TCA['pages']['columns']['endtime']['label']) . ' ' . self::dateTimeAge($row['endtime'], -1, 'date');
+		}
 		if ($row['fe_group']) {
 			$fe_groups = array();
 			foreach (t3lib_div::intExplode(',', $row['fe_group']) as $fe_group) {
-				if ($fe_group<0) {
+				if ($fe_group < 0) {
 					$fe_groups[] = $LANG->sL(self::getLabelFromItemlist('pages', 'fe_group', $fe_group));
 				} else {
 					$lRec = self::getRecordWSOL('fe_groups', $fe_group, 'title');
@@ -2025,10 +2023,10 @@
 				}
 			}
 			$label = implode(', ', $fe_groups);
-			$parts[] = $LANG->sL($TCA['pages']['columns']['fe_group']['label']).' '.$label;
+			$parts[] = $LANG->sL($TCA['pages']['columns']['fe_group']['label']) . ' ' . $label;
 		}
 		$out = htmlspecialchars(implode(' - ', $parts));
-		return $includeAttrib ? 'title="'.$out.'"' : $out;
+		return $includeAttrib ? 'title="' . $out . '"' : $out;
 	}
 
 	/**
@@ -2042,52 +2040,52 @@
 	 * @return	string
 	 */
 	public static function getRecordIconAltText($row, $table = 'pages') {
-		if ($table=='pages') {
+		if ($table == 'pages') {
 			$out = self::titleAttribForPages($row, '', 0);
 		} else {
 			$ctrl = $GLOBALS['TCA'][$table]['ctrl']['enablecolumns'];
 
-			$out = 'id='.$row['uid'];	// Uid is added
+			$out = 'id=' . $row['uid']; // Uid is added
-			if ($table=='pages' && $row['alias']) {
+			if ($table == 'pages' && $row['alias']) {
-				$out.=' / '.$row['alias'];
+				$out .= ' / ' . $row['alias'];
 			}
-			if ($GLOBALS['TCA'][$table]['ctrl']['versioningWS'] && $row['pid']<0) {
+			if ($GLOBALS['TCA'][$table]['ctrl']['versioningWS'] && $row['pid'] < 0) {
-				$out.=' - v#1.'.$row['t3ver_id'];
+				$out .= ' - v#1.' . $row['t3ver_id'];
 			}
 			if ($GLOBALS['TCA'][$table]['ctrl']['versioningWS']) {
-				switch($row['t3ver_state']) {
+				switch ($row['t3ver_state']) {
 					case 1:
-						$out.= ' - PLH WSID#'.$row['t3ver_wsid'];
+						$out .= ' - PLH WSID#' . $row['t3ver_wsid'];
-					break;
+						break;
 					case 2:
-						$out.= ' - Deleted element!';
+						$out .= ' - Deleted element!';
-					break;
+						break;
 					case 3:
-						$out.= ' - NEW LOCATION (PLH) WSID#'.$row['t3ver_wsid'];
+						$out .= ' - NEW LOCATION (PLH) WSID#' . $row['t3ver_wsid'];
-					break;
+						break;
 					case 4:
-						$out.= ' - OLD LOCATION (PNT)  WSID#'.$row['t3ver_wsid'];
+						$out .= ' - OLD LOCATION (PNT)  WSID#' . $row['t3ver_wsid'];
-					break;
+						break;
 					case -1:
-						$out.= ' - New element!';
+						$out .= ' - New element!';
-					break;
+						break;
 				}
 			}
 
-			if ($ctrl['disabled'])	{		// Hidden ...
+			if ($ctrl['disabled']) { // Hidden ...
-				$out.=($row[$ctrl['disabled']]?' - '.$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.hidden'):'');
+				$out .= ($row[$ctrl['disabled']] ? ' - ' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.hidden') : '');
 			}
 			if ($ctrl['starttime']) {
 				if ($row[$ctrl['starttime']] > $GLOBALS['EXEC_TIME']) {
 					$out .= ' - ' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.starttime') . ':' .
-						self::date($row[$ctrl['starttime']]) . ' (' . self::daysUntil($row[$ctrl['starttime']]) . ' ' .
-						$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.days') . ')';
+							self::date($row[$ctrl['starttime']]) . ' (' . self::daysUntil($row[$ctrl['starttime']]) . ' ' .
+							$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.days') . ')';
 				}
 			}
 			if ($row[$ctrl['endtime']]) {
 				$out .= ' - ' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.endtime') . ': ' .
-					self::date($row[$ctrl['endtime']]) . ' (' . self::daysUntil($row[$ctrl['endtime']]) . ' ' .
-					$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.days') . ')';
+						self::date($row[$ctrl['endtime']]) . ' (' . self::daysUntil($row[$ctrl['endtime']]) . ' ' .
+						$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.days') . ')';
 			}
 		}
 		return htmlspecialchars($out);
@@ -2112,10 +2110,12 @@
 				// Traverse the items-array...
 			foreach ($TCA[$table]['columns'][$col]['config']['items'] as $k => $v) {
 					// ... and return the first found label where the value was equal to $key
-				if (!strcmp($v[1], $key))	return $v[0];
+				if (!strcmp($v[1], $key)) {
+					return $v[0];
-			}
-		}
-	}
+				}
+			}
+		}
+	}
 
 	/**
 	 * Returns the label-value for fieldname $col in table, $table
@@ -2138,7 +2138,7 @@
 		}
 		if ($printAllWrap) {
 			$parts = explode('|', $printAllWrap);
-			return $parts[0].$col.$parts[1];
+			return $parts[0] . $col . $parts[1];
 		}
 	}
 
@@ -2155,7 +2155,7 @@
 	 */
 	public static function getRecordTitle($table, $row, $prep = FALSE, $forceResult = TRUE) {
 		global $TCA;
-		if (is_array($TCA[$table]))	{
+		if (is_array($TCA[$table])) {
 
 				// If configured, call userFunc
 			if ($TCA[$table]['ctrl']['label_userFunc']) {
@@ -2169,15 +2169,17 @@
 			} else {
 
 					// No userFunc: Build label
-				$t = self::getProcessedValue($table, $TCA[$table]['ctrl']['label'], $row[$TCA[$table]['ctrl']['label']], 0, 0, false, $row['uid'], $forceResult);
+				$t = self::getProcessedValue($table, $TCA[$table]['ctrl']['label'], $row[$TCA[$table]['ctrl']['label']], 0, 0, FALSE, $row['uid'], $forceResult);
 				if ($TCA[$table]['ctrl']['label_alt'] && ($TCA[$table]['ctrl']['label_alt_force'] || !strcmp($t, ''))) {
 					$altFields = t3lib_div::trimExplode(',', $TCA[$table]['ctrl']['label_alt'], 1);
 					$tA = array();
-					if (!empty($t))	$tA[] = $t;
+					if (!empty($t)) {
+						$tA[] = $t;
+					}
 					foreach ($altFields as $fN) {
 						$t = trim(strip_tags($row[$fN]));
 						if (strcmp($t, '')) {
-							$t = self::getProcessedValue($table, $fN, $t, 0, 0, false, $row['uid']);
+							$t = self::getProcessedValue($table, $fN, $t, 0, 0, FALSE, $row['uid']);
 							if (!$TCA[$table]['ctrl']['label_alt_force']) {
 								break;
 							}
@@ -2221,7 +2223,7 @@
 		$title = htmlspecialchars(t3lib_div::fixed_lgd_cs($title, $titleLength));
 			// If title was cropped, offer a tooltip:
 		if ($titleOrig != $title) {
-			$title = '<span title="'.$titleOrig.'">'.$title.'</span>';
+			$title = '<span title="' . $titleOrig . '">' . $title . '</span>';
 		}
 		return $title;
 	}
@@ -2233,8 +2235,10 @@
 	 * @return	string		Localized [No title] string
 	 */
 	public static function getNoRecordTitle($prep = FALSE) {
-		$noTitle = '['.$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.no_title', 1).']';
+		$noTitle = '[' . $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.no_title', 1) . ']';
-		if ($prep) $noTitle = '<em>'.$noTitle.'</em>';
+		if ($prep) {
+			$noTitle = '<em>' . $noTitle . '</em>';
+		}
 		return $noTitle;
 	}
 
@@ -2270,10 +2274,10 @@
 				// Depending on the fields configuration, make a meaningful output value.
 			$theColConf = $TCA[$table]['columns'][$col]['config'];
 
-				/*****************
-				 *HOOK: pre-processing the human readable output from a record
-				 ****************/
+			/*****************
+			 *HOOK: pre-processing the human readable output from a record
+			 ****************/
-			if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['preProcessValue'])) {
+			if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['preProcessValue'])) {
 					// create NULL-reference
 				$null = NULL;
 				foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['preProcessValue'] as $_funcRef) {
@@ -2282,20 +2286,20 @@
 			}
 
 			$l = '';
-			switch((string)$theColConf['type']) {
+			switch ((string) $theColConf['type']) {
 				case 'radio':
 					$l = self::getLabelFromItemlist($table, $col, $value);
 					$l = $GLOBALS['LANG']->sL($l);
-				break;
+					break;
 				case 'select':
 					if ($theColConf['MM']) {
 						if ($uid) {
 								// Display the title of MM related records in lists
 							if ($noRecordLookup) {
 								$MMfield = $theColConf['foreign_table'] . '.uid';
-							} else	{
+							} else {
 								$MMfields = array($theColConf['foreign_table'] . '.' . $TCA[$theColConf['foreign_table']]['ctrl']['label']);
-								foreach (t3lib_div::trimExplode(',', $TCA[$theColConf['foreign_table']]['ctrl']['label_alt'], 1) as $f)	{
+								foreach (t3lib_div::trimExplode(',', $TCA[$theColConf['foreign_table']]['ctrl']['label_alt'], 1) as $f) {
 									$MMfields[] = $theColConf['foreign_table'] . '.' . $f;
 								}
 								$MMfield = join(',', $MMfields);
@@ -2305,11 +2309,11 @@
 							$dbGroup->start($value, $theColConf['foreign_table'], $theColConf['MM'], $uid, $table, $theColConf);
 							$selectUids = $dbGroup->tableArray[$theColConf['foreign_table']];
 
-							if (is_array($selectUids) && count($selectUids)>0) {
+							if (is_array($selectUids) && count($selectUids) > 0) {
 								$MMres = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
 									'uid, ' . $MMfield,
 									$theColConf['foreign_table'],
-									'uid IN (' . implode(',', $selectUids) . ')'
+										'uid IN (' . implode(',', $selectUids) . ')'
 								);
 								while ($MMrow = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($MMres)) {
 									$mmlA[] = ($noRecordLookup ? $MMrow['uid'] : self::getRecordTitle($theColConf['foreign_table'], $MMrow, FALSE, $forceResult));
@@ -2338,44 +2342,46 @@
 								$lA = array();
 								foreach ($rParts as $rVal) {
 									$rVal = intval($rVal);
-									if ($rVal>0) {
+									if ($rVal > 0) {
 										$r = self::getRecordWSOL($theColConf['foreign_table'], $rVal);
 									} else {
 										$r = self::getRecordWSOL($theColConf['neg_foreign_table'], -$rVal);
 									}
 									if (is_array($r)) {
-										$lA[] = $GLOBALS['LANG']->sL($rVal>0?$theColConf['foreign_table_prefix']:$theColConf['neg_foreign_table_prefix']) . self::getRecordTitle($rVal>0?$theColConf['foreign_table']:$theColConf['neg_foreign_table'], $r, FALSE, $forceResult);
+										$lA[] = $GLOBALS['LANG']->sL($rVal > 0 ? $theColConf['foreign_table_prefix'] : $theColConf['neg_foreign_table_prefix']) . self::getRecordTitle($rVal > 0 ? $theColConf['foreign_table'] : $theColConf['neg_foreign_table'], $r, FALSE, $forceResult);
 									} else {
-										$lA[] = $rVal?'['.$rVal.'!]':'';
+										$lA[] = $rVal ? '[' . $rVal . '!]' : '';
 									}
 								}
 								$l = implode(', ', $lA);
 							}
 						}
 					}
-				break;
+					break;
 				case 'group':
 					$l = implode(', ', t3lib_div::trimExplode(',', $value, 1));
-				break;
+					break;
 				case 'check':
-					if (!is_array($theColConf['items']) || count($theColConf['items'])==1) {
+					if (!is_array($theColConf['items']) || count($theColConf['items']) == 1) {
 						$l = $value ? $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_common.xml:yes') : $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_common.xml:no');
 					} else {
 						$lA = Array();
 						foreach ($theColConf['items'] as $key => $val) {
-							if ($value & pow(2, $key))	{$lA[] = $GLOBALS['LANG']->sL($val[0]);}
+							if ($value & pow(2, $key)) {
+								$lA[] = $GLOBALS['LANG']->sL($val[0]);
-						}
+							}
+						}
 						$l = implode(', ', $lA);
 					}
-				break;
+					break;
 				case 'input':
 					if (isset($value)) {
 						if (t3lib_div::inList($theColConf['eval'], 'date')) {
 							$l = self::date($value) .
-								' (' .
-								($GLOBALS['EXEC_TIME'] - $value > 0 ? '-' : '') .
-								self::calcAge(abs($GLOBALS['EXEC_TIME'] - $value), $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears')) .
-								')';
+									' (' .
+									($GLOBALS['EXEC_TIME'] - $value > 0 ? '-' : '') .
+									self::calcAge(abs($GLOBALS['EXEC_TIME'] - $value), $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.minutesHoursDaysYears')) .
+									')';
 						} elseif (t3lib_div::inList($theColConf['eval'], 'time')) {
 							$l = self::time($value, FALSE);
 						} elseif (t3lib_div::inList($theColConf['eval'], 'timesec')) {
@@ -2386,10 +2392,10 @@
 							$l = $value;
 						}
 					}
-				break;
+					break;
 				case 'flex':
 					$l = strip_tags($value);
-				break;
+					break;
 				default:
 					if ($defaultPassthrough) {
 						$l = $value;
@@ -2398,22 +2404,22 @@
 					} elseif ($value) {
 						$l = t3lib_div::fixed_lgd_cs(strip_tags($value), 200);
 					}
-				break;
+					break;
 			}
 
 				// If this field is a password field, then hide the password by changing it to a random number of asterisk (*)
 			if (stristr($theColConf['eval'], 'password')) {
 				unset($l);
 				$randomNumber = rand(5, 12);
-				for ($i=0; $i < $randomNumber; $i++) {
+				for ($i = 0; $i < $randomNumber; $i++) {
 					$l .= '*';
 				}
 			}
 
-				/*****************
-				 *HOOK: post-processing the human readable output from a record
-				 ****************/
+			/*****************
+			 *HOOK: post-processing the human readable output from a record
+			 ****************/
-			if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['postProcessValue'])) {
+			if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['postProcessValue'])) {
 					// create NULL-reference
 				$null = NULL;
 				foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['postProcessValue'] as $_funcRef) {
@@ -2451,10 +2457,10 @@
 		$fVnew = self::getProcessedValue($table, $fN, $fV, $fixed_lgd_chars, 1, 0, $uid, $forceResult);
 		if (!isset($fVnew)) {
 			if (is_array($TCA[$table])) {
-				if ($fN==$TCA[$table]['ctrl']['tstamp'] || $fN==$TCA[$table]['ctrl']['crdate']) {
+				if ($fN == $TCA[$table]['ctrl']['tstamp'] || $fN == $TCA[$table]['ctrl']['crdate']) {
 					$fVnew = self::datetime($fV);
-				} elseif ($fN=='pid'){
+				} elseif ($fN == 'pid') {
-					$fVnew = self::getRecordPath($fV, '1=1', 20);	// Fetches the path with no regard to the users permissions to select pages.
+					$fVnew = self::getRecordPath($fV, '1=1', 20); // Fetches the path with no regard to the users permissions to select pages.
 				} else {
 					$fVnew = $fV;
 				}
@@ -2487,31 +2493,43 @@
 	 */
 	public static function getCommonSelectFields($table, $prefix = '', $fields = array()) {
 		global $TCA;
-		$fields[] = $prefix.'uid';
+		$fields[] = $prefix . 'uid';
-		$fields[] = $prefix.$TCA[$table]['ctrl']['label'];
+		$fields[] = $prefix . $TCA[$table]['ctrl']['label'];
 
 		if ($TCA[$table]['ctrl']['label_alt']) {
 			$secondFields = t3lib_div::trimExplode(',', $TCA[$table]['ctrl']['label_alt'], 1);
-			foreach($secondFields as $fieldN) {
+			foreach ($secondFields as $fieldN) {
-				$fields[] = $prefix.$fieldN;
+				$fields[] = $prefix . $fieldN;
 			}
 		}
 		if ($TCA[$table]['ctrl']['versioningWS']) {
-			$fields[] = $prefix.'t3ver_id';
+			$fields[] = $prefix . 't3ver_id';
-			$fields[] = $prefix.'t3ver_state';
+			$fields[] = $prefix . 't3ver_state';
-			$fields[] = $prefix.'t3ver_wsid';
+			$fields[] = $prefix . 't3ver_wsid';
-			$fields[] = $prefix.'t3ver_count';
+			$fields[] = $prefix . 't3ver_count';
 		}
 
-		if ($TCA[$table]['ctrl']['selicon_field'])	$fields[] = $prefix.$TCA[$table]['ctrl']['selicon_field'];
-		if ($TCA[$table]['ctrl']['typeicon_column'])	$fields[] = $prefix.$TCA[$table]['ctrl']['typeicon_column'];
+		if ($TCA[$table]['ctrl']['selicon_field']) {
+			$fields[] = $prefix . $TCA[$table]['ctrl']['selicon_field'];
+		}
+		if ($TCA[$table]['ctrl']['typeicon_column']) {
+			$fields[] = $prefix . $TCA[$table]['ctrl']['typeicon_column'];
+		}
 
-		if (is_array($TCA[$table]['ctrl']['enablecolumns']))		{
+		if (is_array($TCA[$table]['ctrl']['enablecolumns'])) {
-			if ($TCA[$table]['ctrl']['enablecolumns']['disabled'])	$fields[] = $prefix.$TCA[$table]['ctrl']['enablecolumns']['disabled'];
-			if ($TCA[$table]['ctrl']['enablecolumns']['starttime'])	$fields[] = $prefix.$TCA[$table]['ctrl']['enablecolumns']['starttime'];
-			if ($TCA[$table]['ctrl']['enablecolumns']['endtime'])	$fields[] = $prefix.$TCA[$table]['ctrl']['enablecolumns']['endtime'];
-			if ($TCA[$table]['ctrl']['enablecolumns']['fe_group'])	$fields[] = $prefix.$TCA[$table]['ctrl']['enablecolumns']['fe_group'];
+			if ($TCA[$table]['ctrl']['enablecolumns']['disabled']) {
+				$fields[] = $prefix . $TCA[$table]['ctrl']['enablecolumns']['disabled'];
-		}
+			}
+			if ($TCA[$table]['ctrl']['enablecolumns']['starttime']) {
+				$fields[] = $prefix . $TCA[$table]['ctrl']['enablecolumns']['starttime'];
+			}
+			if ($TCA[$table]['ctrl']['enablecolumns']['endtime']) {
+				$fields[] = $prefix . $TCA[$table]['ctrl']['enablecolumns']['endtime'];
+			}
+			if ($TCA[$table]['ctrl']['enablecolumns']['fe_group']) {
+				$fields[] = $prefix . $TCA[$table]['ctrl']['enablecolumns']['fe_group'];
+			}
+		}
 
 		return implode(',', array_unique($fields));
 	}
@@ -2533,56 +2551,49 @@
 			$lines = array();
 			foreach ($configArray as $fname => $config) {
 				if (is_array($config)) {
-					$lines[$fname] = '<strong>'.htmlspecialchars($config[1]).'</strong><br />';
+					$lines[$fname] = '<strong>' . htmlspecialchars($config[1]) . '</strong><br />';
-					$lines[$fname].=$config[2].'<br />';
+					$lines[$fname] .= $config[2] . '<br />';
-					switch($config[0]) {
+					switch ($config[0]) {
 						case 'string':
 						case 'short':
-							$formEl = '<input type="text" name="'.$dataPrefix.'['.$fname.']" value="'.$params[$fname].'"'.$GLOBALS['TBE_TEMPLATE']->formWidth($config[0]=='short'?24:48).' />';
+							$formEl = '<input type="text" name="' . $dataPrefix . '[' . $fname . ']" value="' . $params[$fname] . '"' . $GLOBALS['TBE_TEMPLATE']->formWidth($config[0] == 'short' ? 24 : 48) . ' />';
-						break;
+							break;
 						case 'check':
-							$formEl = '<input type="hidden" name="'.$dataPrefix.'['.$fname.']" value="0" /><input type="checkbox" name="'.$dataPrefix.'['.$fname.']" value="1"'.($params[$fname]?' checked="checked"':'').' />';
+							$formEl = '<input type="hidden" name="' . $dataPrefix . '[' . $fname . ']" value="0" /><input type="checkbox" name="' . $dataPrefix . '[' . $fname . ']" value="1"' . ($params[$fname] ? ' checked="checked"' : '') . ' />';
-						break;
+							break;
 						case 'comment':
 							$formEl = '';
-						break;
+							break;
 						case 'select':
 							$opt = array();
 							foreach ($config[3] as $k => $v) {
-								$opt[] = '<option value="'.htmlspecialchars($k).'"'.($params[$fname]==$k?' selected="selected"':'').'>'.htmlspecialchars($v).'</option>';
+								$opt[] = '<option value="' . htmlspecialchars($k) . '"' . ($params[$fname] == $k ? ' selected="selected"' : '') . '>' . htmlspecialchars($v) . '</option>';
 							}
-							$formEl = '<select name="'.$dataPrefix.'['.$fname.']">'.implode('', $opt).'</select>';
+							$formEl = '<select name="' . $dataPrefix . '[' . $fname . ']">' . implode('', $opt) . '</select>';
-						break;
+							break;
 						default:
 							debug($config);
-						break;
+							break;
 					}
-					$lines[$fname].=$formEl;
+					$lines[$fname] .= $formEl;
-					$lines[$fname].='<br /><br />';
+					$lines[$fname] .= '<br /><br />';
 				} else {
 					$lines[$fname] = '<hr />';
-					if ($config)	$lines[$fname].='<strong>'.strtoupper(htmlspecialchars($config)).'</strong><br />';
-					if ($config)	$lines[$fname].='<br />';
+					if ($config) {
+						$lines[$fname] .= '<strong>' . strtoupper(htmlspecialchars($config)) . '</strong><br />';
-				}
+					}
+					if ($config) {
+						$lines[$fname] .= '<br />';
-			}
-		}
+					}
+				}
+			}
+		}
 		$out = implode('', $lines);
-		$out.='<input type="submit" name="submit" value="Update configuration" />';
+		$out .= '<input type="submit" name="submit" value="Update configuration" />';
 		return $out;
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
 	/*******************************************
 	 *
 	 * Backend Modules API functions
@@ -2614,7 +2625,7 @@
 				$text = self::helpText($table, $field);
 				$text = '<span class="typo3-csh-inline">' . $GLOBALS['LANG']->hscAndCharConv($text, FALSE) . '</span>';
 			}
-			return '<a class="typo3-csh-link" href="#" rel="' . $table . '.' . $field . '">' . t3lib_iconWorks::getSpriteIcon('actions-system-help-open', array('class' => 'typo3-csh-icon')) . $text.'</a>';
+			return '<a class="typo3-csh-link" href="#" rel="' . $table . '.' . $field . '">' . t3lib_iconWorks::getSpriteIcon('actions-system-help-open', array('class' => 'typo3-csh-icon')) . $text . '</a>';
 		}
 	}
 
@@ -2732,7 +2743,7 @@
 	 * @param	string		Back path
 	 * @param	string		Wrap code for icon-mode, splitted by "|". Not used for full-text mode.
 	 * @param	boolean		If set, the full text will never be shown (only icon).
-	 * 				Useful for places where it will break the page if the table with full text is shown.
+	 *				 Useful for places where it will break the page if the table with full text is shown.
 	 * @param	string		Additional style-attribute content for wrapping table (full text mode only)
 	 * @return	string		HTML content for help text
 	 * @see helpText(), helpTextIcon()
@@ -2744,30 +2755,30 @@
 			$LANG->loadSingleTableDescription($table);
 
 			if (is_array($TCA_DESCR[$table])) {
-				// Creating CSH icon and short description:
+					// Creating CSH icon and short description:
 				$fullText = self::helpText($table, $field, $BACK_PATH, '');
 				$icon = self::helpTextIcon($table, $field, $BACK_PATH);
 
-				if ($fullText && !$onlyIconMode && $BE_USER->uc['edit_showFieldHelp'] == 'text')	{
+				if ($fullText && !$onlyIconMode && $BE_USER->uc['edit_showFieldHelp'] == 'text') {
 
-					// Additional styles?
+						// Additional styles?
-					$params = $styleAttrib ? ' style="'.$styleAttrib.'"' : '';
+					$params = $styleAttrib ? ' style="' . $styleAttrib . '"' : '';
 
-					// Compile table with CSH information:
+						// Compile table with CSH information:
-					$fullText = '<table border="0" cellpadding="0" cellspacing="0" class="typo3-csh-inline"'.$params.'>
+					$fullText = '<table border="0" cellpadding="0" cellspacing="0" class="typo3-csh-inline"' . $params . '>
 					<tr>
 					<td valign="top" width="14"><div class="t3-row-header">' . $icon . '</div></td>
-					<td valign="top">'.$fullText.'</td>
+					<td valign="top">' . $fullText . '</td>
 					</tr>
 					</table>';
 
-					$output = $LANG->hscAndCharConv($fullText, false);
+					$output = $LANG->hscAndCharConv($fullText, FALSE);
 				} else {
 					$output = $icon;
 
 					if ($output && $wrap) {
 						$wrParts = explode('|', $wrap);
-						$output = $wrParts[0].$output.$wrParts[1];
+						$output = $wrParts[0] . $output . $wrParts[1];
 					}
 				}
 
@@ -2788,8 +2799,8 @@
 	 * @see template::issueCommand()
 	 */
 	public static function editOnClick($params, $backPath = '', $requestUri = '') {
-		$retUrl = 'returnUrl='.($requestUri==-1?"'+T3_THIS_LOCATION+'":rawurlencode($requestUri?$requestUri:t3lib_div::getIndpEnv('REQUEST_URI')));
+		$retUrl = 'returnUrl=' . ($requestUri == -1 ? "'+T3_THIS_LOCATION+'" : rawurlencode($requestUri ? $requestUri : t3lib_div::getIndpEnv('REQUEST_URI')));
-		return "window.location.href='".$backPath."alt_doc.php?".$retUrl.$params."'; return false;";
+		return "window.location.href='" . $backPath . "alt_doc.php?" . $retUrl . $params . "'; return false;";
 	}
 
 	/**
@@ -2813,7 +2824,7 @@
 		}
 
 		if (isset($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['viewOnClickClass'])
-			&& is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['viewOnClickClass'])) {
+				&& is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['viewOnClickClass'])) {
 			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['viewOnClickClass'] as $funcRef) {
 				$hookObj = t3lib_div::getUserObj($funcRef);
 				if (method_exists($hookObj, 'preProcess')) {
@@ -2824,12 +2835,12 @@
 
 			// Look if a fixed preview language should be added:
 		$viewLanguageOrder = $GLOBALS['BE_USER']->getTSConfigVal('options.view.languageOrder');
-		if (strlen($viewLanguageOrder))	{
+		if (strlen($viewLanguageOrder)) {
 			$suffix = '';
 
 				// Find allowed languages (if none, all are allowed!)
 			if (!$GLOBALS['BE_USER']->user['admin'] &&
-				strlen($GLOBALS['BE_USER']->groupData['allowed_languages'])) {
+					strlen($GLOBALS['BE_USER']->groupData['allowed_languages'])) {
 				$allowedLanguages = array_flip(explode(',', $GLOBALS['BE_USER']->groupData['allowed_languages']));
 			}
 
@@ -2878,7 +2889,7 @@
 	 *
 	 * @author Michael Klapper <michael.klapper@aoemedia.de>
 	 */
-	public static function getViewDomain($pageId, $rootLine = null) {
+	public static function getViewDomain($pageId, $rootLine = NULL) {
 		$domain = rtrim(t3lib_div::getIndpEnv('TYPO3_SITE_URL'), '/');
 
 		if (!is_array($rootLine)) {
@@ -2936,23 +2947,23 @@
 
 			if (!$script) {
 				$script = basename(PATH_thisScript);
-				$mainParams.= (t3lib_div::_GET('M') ? '&M='.rawurlencode(t3lib_div::_GET('M')) : '');
+				$mainParams .= (t3lib_div::_GET('M') ? '&M=' . rawurlencode(t3lib_div::_GET('M')) : '');
 			}
 
 			$options = array();
-			foreach($menuItems as $value => $label) {
+			foreach ($menuItems as $value => $label) {
-				$options[] = '<option value="'.htmlspecialchars($value).'"'.(!strcmp($currentValue, $value)?' selected="selected"':'').'>'.
+				$options[] = '<option value="' . htmlspecialchars($value) . '"' . (!strcmp($currentValue, $value) ? ' selected="selected"' : '') . '>' .
-								t3lib_div::deHSCentities(htmlspecialchars($label)).
+						t3lib_div::deHSCentities(htmlspecialchars($label)) .
-								'</option>';
+						'</option>';
 			}
 			if (count($options)) {
-				$onChange = 'jumpToUrl(\''.$script.'?'.$mainParams.$addparams.'&'.$elementName.'=\'+this.options[this.selectedIndex].value,this);';
+				$onChange = 'jumpToUrl(\'' . $script . '?' . $mainParams . $addparams . '&' . $elementName . '=\'+this.options[this.selectedIndex].value,this);';
 				return '
 
 					<!-- Function Menu of module -->
-					<select name="'.$elementName.'" onchange="'.htmlspecialchars($onChange).'">
+					<select name="' . $elementName . '" onchange="' . htmlspecialchars($onChange) . '">
-						'.implode('
+						' . implode('
-						',$options).'
+						', $options) . '
 					</select>
 							';
 			}
